<?php 

session_start();
include('config/db.php'); 
require 'config/send_mail.php'; 


if (isset($_POST['payment_status']) && isset($_POST['id'])) {

    $payment_status = $_POST['payment_status'];
    $id = $_POST['id'];

    $sql = "UPDATE invoice_details SET payment_details = ? WHERE iid = ?";
    $stmt = $conn->prepare($sql);

    if ($stmt === false) {
        die("Error preparing statement: " . $conn->error);
    }

    $stmt->bind_param("ii", $payment_status, $id);

    if ($stmt->execute()) {
        $query = "SELECT * FROM invoice_details WHERE iid = ?";
        $stmt_details = $conn->prepare($query); 
        $stmt_details->bind_param("i", $id); 
        $stmt_details->execute();
        $result = $stmt_details->get_result();
        $row = $result->fetch_assoc(); 
    
        // if ($row && $row['payment_details'] == 1) {
            if ($row){
            $studentId = $row['Student_id']; 
    
            $query_student = "SELECT sid, email, payer_name FROM student_details WHERE sid = ?";
            $stmt_student = $conn->prepare($query_student);
            $stmt_student->bind_param("i", $studentId); 
            $stmt_student->execute();
            $results = $stmt_student->get_result();
    
            $student_row = $results->fetch_assoc(); 
    
            if ($student_row) {
                $recipient = $student_row['email'];
                $subject = "Payment Recieved for " . $student_row['student_name'];
                
 $body = '<div id="invoiceholder" style="width:100%; height:auto; padding-top: 50px; background-color: #E0E0E0; font-family: \'Roboto\', sans-serif;">
  <div id="invoice" class="effect2" style="margin: 0 auto; width: 700px; background: #FFF; border: 1px solid #EEE; box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.2);">
    <div id="invoice-top" style="min-height: 120px; border-bottom: 1px solid #EEE; padding: 30px;">
      <div class="logo" style="float: left; height: 60px; width: 60px; background: url(\'assets/index/dash/assets/img/avatars/360.jpg\') no-repeat; background-size: 60px 60px;"></div>
      <div class="info" style="display: block; float:left; margin-left: 20px;">    
        <h2 style="font-size: 1.5em; color: #222;">Kumonon Tution Center</h2>
        <p style="color: #666; line-height: 1.2em;">kumonon@gmail.com<br> 1234567890 </p>
      </div>
      <div class="title" style="float: right;">
        <h1 style="font-size: 1.5em; color: #222;">Invoice #'.$row['iid'].'</h1>
        <p style="text-align: right;">Issued: '.$row['schedule_date'].' <br> Payment Due: '.$row['due_date'].'</p>
      </div>
    </div>

    <div id="invoice-mid" style="min-height: 120px; border-bottom: 1px solid #EEE; padding: 30px;">
      <div class="clientlogo" style="float: left; height: 60px; width: 60px; background: url(\'http://michaeltruong.ca/images/client.jpg\') no-repeat; background-size: 60px 60px; border-radius: 50px;"></div>
      <div class="info" style="display: block; float:left; margin-left: 20px;">
        <h2 style="font-size: 1.5em;">'.$student_row['student_name'].'</h2>
        <h3 style="font-size: 1em;">'.$student_row['payer_name'].'</h3>
        <p style="color: #666; line-height: 1.2em;">'.$student_row['email'].'<br> '.$student_row['payer_mobile_number'].'</p>
      </div>
      <div id="project" style="margin-left: 52%;">
        <h2 style="font-size: 1.5em;">Reason for Collection</h2>
        <p style="color: #666; line-height: 1.2em;">'.($student_row['reason_for_collection'] == '' ? 'Tution Fees for this Month' : $student_row['reason_for_collection']).'</p>
      </div>
    </div>

    <div id="invoice-bot" style="min-height: 250px; border-top: 1px solid #EEE; padding: 30px;">
      <div id="table" style="width: 100%; border-collapse: collapse;">
        <table style="width: 100%; border-collapse: collapse;">
          <tr style="background: #EEE;">
            <td style="padding: 5px; border: 1px solid #EEE;"><h2 style="margin: 0;">For the Month</h2></td>
            <td style="padding: 5px; border: 1px solid #EEE;"><h2 style="margin: 0;">Count of Invoice</h2></td>
            <td style="padding: 5px; border: 1px solid #EEE;"><h2 style="margin: 0;">Price</h2></td>
            <td style="padding: 5px; border: 1px solid #EEE;"><h2 style="margin: 0;">Status</h2></td>
          </tr>
          <tr style="border: 1px solid #EEE;">
            <td style="padding: 5px; border: 1px solid #EEE;"><p style="margin: 0;">'.$row['schedule_date'].'</p></td>
            <td style="padding: 5px; border: 1px solid #EEE;"><p style="margin: 0;">'.$row['count'].'</p></td>
            <td style="padding: 5px; border: 1px solid #EEE;"><p style="margin: 0;">$'.$row['amount'].'</p></td>
            <td style="padding: 5px; border: 1px solid #EEE;"><p style="margin: 0;">'.($row['payment_details'] == 1 ? 'Paid' : 'Unpaid').'</p></td>
          </tr>
        </table>
      </div>
      <div id="legalcopy" style="margin-top: 30px;">
        <p style="width:70%;"><strong>Thank you for your business!</strong> Payment is expected within 31 days; please process this invoice within that time. There will be a 5% interest charge per month on late invoices.</p>
      </div>
    </div>
  </div>
</div>';

              

     $emailResult = sendEmail($recipient, $subject, $body);
     if ($emailResult !== true) {
        $_SESSION['message'] = "Email error: $emailResult";
    } else {
        $_SESSION['message'] = "Email sent successfully!";
    }
        
        
        
    }
}
        
        
        
        
        
        
        
        
        
        
        header('Location: ' . $_SERVER['HTTP_REFERER']);
        exit();
    } else {
        echo "Error updating record: " . $stmt->error; 
    }

    $stmt->close(); 
    $conn->close(); 
}
?>
